///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class Testimonials {
/*
{
  "avatarUrl": "String",
  "description": "Khóa học DCI rất hay và bổ ích",
  "fullName": "Thái",
  "id": 21,
  "postId": 1,
  "priority": 20,
  "title": "Nông dân"
}
*/

  String? avatarUrl;
  String? description;
  String? fullName;
  int? id;
  int? postId;
  int? priority;
  String? title;

  Testimonials({
    this.avatarUrl,
    this.description,
    this.fullName,
    this.id,
    this.postId,
    this.priority,
    this.title,
  });
  Testimonials.fromJson(Map<String, dynamic> json) {
    avatarUrl = json['avatarUrl']?.toString();
    description = json['description']?.toString();
    fullName = json['fullName']?.toString();
    id = json['id']?.toInt();
    postId = json['postId']?.toInt();
    priority = json['priority']?.toInt();
    title = json['title']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['avatarUrl'] = avatarUrl;
    data['description'] = description;
    data['fullName'] = fullName;
    data['id'] = id;
    data['postId'] = postId;
    data['priority'] = priority;
    data['title'] = title;
    return data;
  }
}

class CourseDetailData {
/*
{
  "avatarUrl": "String",
  "code": "copy QWERTY_3453_1652952003483",
  "currentFee": 10000000,
  "description": "String",
  "id": 15,
  "isHot": false,
  "name": "copy Chinh phục bầu trời",
  "preferentialFee": 8000000,
  "priority": 9,
  "startDate": 1653521433000,
  "status": "OPENING",
  "studyForm": "hinh thuc hoc",
  "studyTime": "thoi luong hoc",
  "teacher": "giang vien",
  "testimonials": [
    {
      "avatarUrl": "String",
      "description": "Khóa học DCI rất hay và bổ ích",
      "fullName": "Thái",
      "id": 21,
      "postId": 1,
      "priority": 20,
      "title": "Nông dân"
    }
  ]
}
*/

  String? avatarUrl;
  String? code;
  int? currentFee;
  String? description;
  int? id;
  bool? isHot;
  String? name;
  int? preferentialFee;
  int? priority;
  int? startDate;
  String? status;
  String? studyForm;
  String? studyTime;
  String? teacher;
  List<int>? productTopicIds;
  List<Testimonials>? testimonials;

  CourseDetailData({
    this.avatarUrl,
    this.code,
    this.currentFee,
    this.description,
    this.id,
    this.isHot,
    this.name,
    this.preferentialFee,
    this.priority,
    this.startDate,
    this.status,
    this.studyForm,
    this.studyTime,
    this.teacher,
    this.testimonials,
    this.productTopicIds,
  });
  CourseDetailData.fromJson(Map<String, dynamic> json) {
    avatarUrl = json['avatarUrl']?.toString();
    code = json['code']?.toString();
    currentFee = json['currentFee']?.toInt();
    description = json['description']?.toString();
    id = json['id']?.toInt();
    isHot = json['isHot'];
    name = json['name']?.toString();
    preferentialFee = json['preferentialFee']?.toInt();
    priority = json['priority']?.toInt();
    startDate = json['startDate']?.toInt();
    status = json['status']?.toString();
    studyForm = json['studyForm']?.toString();
    studyTime = json['studyTime']?.toString();
    teacher = json['teacher']?.toString();
    if (json['productTopicIds'] != null) {
      final v = json['productTopicIds'];
      final arr0 = <int>[];
      v.forEach((v) {
        arr0.add(v.toInt());
      });
      productTopicIds = arr0;
    }
    if (json['testimonials'] != null) {
      final v = json['testimonials'];
      final arr0 = <Testimonials>[];
      v.forEach((v) {
        arr0.add(Testimonials.fromJson(v));
      });
      testimonials = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['avatarUrl'] = avatarUrl;
    data['code'] = code;
    data['currentFee'] = currentFee;
    data['description'] = description;
    data['id'] = id;
    data['isHot'] = isHot;
    data['name'] = name;
    data['preferentialFee'] = preferentialFee;
    data['priority'] = priority;
    data['startDate'] = startDate;
    data['status'] = status;
    data['studyForm'] = studyForm;
    data['studyTime'] = studyTime;
    data['teacher'] = teacher;
    if (productTopicIds != null) {
      final v = productTopicIds;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v);
      });
      data['productTopicIds'] = arr0;
    }
    if (testimonials != null) {
      final v = testimonials;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['testimonials'] = arr0;
    }
    return data;
  }
}

class CourseDetailResponse {
/*
{
  "fetchCourseById": {
    "avatarUrl": "String",
    "code": "copy QWERTY_3453_1652952003483",
    "currentFee": 10000000,
    "description": "String",
    "id": 15,
    "isHot": false,
    "name": "copy Chinh phục bầu trời",
    "preferentialFee": 8000000,
    "priority": 9,
    "startDate": 1653521433000,
    "status": "OPENING",
    "studyForm": "hinh thuc hoc",
    "studyTime": "thoi luong hoc",
    "teacher": "giang vien",
    "testimonials": [
      {
        "avatarUrl": "String",
        "description": "Khóa học DCI rất hay và bổ ích",
        "fullName": "Thái",
        "id": 21,
        "postId": 1,
        "priority": 20,
        "title": "Nông dân"
      }
    ]
  }
}
*/

  CourseDetailData? fetchCourseById;

  CourseDetailResponse({
    this.fetchCourseById,
  });
  CourseDetailResponse.fromJson(Map<String, dynamic> json) {
    fetchCourseById = (json['fetchCourseById'] != null)
        ? CourseDetailData.fromJson(json['fetchCourseById'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchCourseById != null) {
      data['fetchCourseById'] = fetchCourseById!.toJson();
    }
    return data;
  }
}

class CourseDetail {
/*
{
  "data": {
    "fetchCourseById": {
      "avatarUrl": "String",
      "code": "copy QWERTY_3453_1652952003483",
      "currentFee": 10000000,
      "description": "String",
      "id": 15,
      "isHot": false,
      "name": "copy Chinh phục bầu trời",
      "preferentialFee": 8000000,
      "priority": 9,
      "startDate": 1653521433000,
      "status": "OPENING",
      "studyForm": "hinh thuc hoc",
      "studyTime": "thoi luong hoc",
      "teacher": "giang vien",
      "testimonials": [
        {
          "avatarUrl": "String",
          "description": "Khóa học DCI rất hay và bổ ích",
          "fullName": "Thái",
          "id": 21,
          "postId": 1,
          "priority": 20,
          "title": "Nông dân"
        }
      ]
    }
  }
}
*/

  CourseDetailResponse? data;

  CourseDetail({
    this.data,
  });
  CourseDetail.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null)
        ? CourseDetailResponse.fromJson(json['data'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
